# Generated by rust2rpm 21
%bcond_without check

%global crate twox-hash

Name:           rust-%{crate}
Version:        1.6.2
Release:        %autorelease
Summary:        Rust implementation of the XXHash and XXH3 algorithms

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/twox-hash
Source:         %{crates_source}
# Address test failures on non-x86 platforms
Patch0:         https://github.com/shepmaster/twox-hash/pull/86.patch#/twox-hash-1.6.2-Support-big-endian-platforms.patch
Patch1:         https://github.com/shepmaster/twox-hash/pull/87.patch#/twox-hash-1.6.2-Fix-XXH3-generic-fallback.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust implementation of the XXHash and XXH3 algorithms.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%doc README.md
%{_bindir}/hash_file

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest_0_10-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest_0_10-devel %{_description}

This package contains library source intended for building other packages which
use the "digest_0_10" feature of the "%{crate}" crate.

%files       -n %{name}+digest_0_10-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest_0_9-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest_0_9-devel %{_description}

This package contains library source intended for building other packages which
use the "digest_0_9" feature of the "%{crate}" crate.

%files       -n %{name}+digest_0_9-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "serialize" feature of the "%{crate}" crate.

%files       -n %{name}+serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
